Package org.springframework.context.annotation

# Class DeferredImportSelector.Group.Entry

java.lang.Object
org.springframework.context.annotation.DeferredImportSelector.Group.Entry

Enclosing interface:
  DeferredImportSelector.Group

public static class DeferredImportSelector.Group.Entry extends Object
An entry that holds the `AnnotationMetadata` of the importing `Configuration` class and the class name to import.

## Constructor Summary

Constructors
Constructor
Description
`Entry(org.springframework.core.type.AnnotationMetadata metadata, String importClassName)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`String`
`getImportClassName()`
Return the fully qualified name of the class to import.
`org.springframework.core.type.AnnotationMetadata`
`getMetadata()`
Return the `AnnotationMetadata` of the importing `Configuration` class.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Entry

public Entry(org.springframework.core.type.AnnotationMetadata metadata, String importClassName)

## Method Details

### getMetadata

public org.springframework.core.type.AnnotationMetadata getMetadata()
Return the `AnnotationMetadata` of the importing `Configuration` class.

### getImportClassName

public String getImportClassName()
Return the fully qualified name of the class to import.

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`